# 4.1. Model Viewer: 3D

## 3D Model Viewer

This guide explains the **"3D Model Viewer"** in the following order:

1. **3D Model Viewer: Overview**
2. **3D Model Viewer: URL Structure**

## 3D Model Viewer: Overview

{% embed url="<https://cylinder.archisketch.com/?id=X1MNWceF0DE919CAF004414>" %}

### 📌 Furniture Library: How to Upload 3D Models

👇 Please refer to the video below for **"How to Upload 3D Models to the Furniture Library."**

{% embed url="<https://www.youtube.com/watch?v=fjAYpy_lJsI>" %}

### 📌 3D Model Viewer: How to Check

**The 3D Model Viewer** becomes available once a model is uploaded to the **"Furniture"** section within the **\[Archisketch Dashboard > Enterprise Library]**.\
Once the model is successfully uploaded to the furniture library, you can instantly view it via **\[1) The AR Viewer button]**, or **\[2) The Share/Embed button]**.

![Group\_348](/files/07f433f8ba4bc153f4acea92f3776f698c28082e)

## 3D Model Viewer: URL Structure

> **Try it out via the demo page below!**

{% embed url="<https://codepen.io/Archisketch/pen/YzYoGwW>" %}

**The 3D Model Viewer** follows the general URL format below.\
You can also customize the viewer using additional query parameters.

### 📌 URL Format

```
https://cylinder.archisketch.com/?id={productID}&mode=3d
```

### 📌 Query Parameter

| **Parameter** | **Description**                                                                 |
| ------------- | ------------------------------------------------------------------------------- |
| `mode=3d`     | Sets the viewer mode. (default: mode=3d)                                        |
| `hideInfo=1`  | Hides the **Information button**.                                               |
| `hideQr=1`    | Hides the **QR code**.                                                          |
| `hideAr=1`    | Hides the **AR button** (only appears on mobile devices).                       |
| `hideHand=1`  | Hides the **hand guide** that appears after 3 seconds of inactivity in 3D mode. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev-guide/en/contents/model-viewer/3d.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
